# Uses of Enum Class
javax.xml.catalog.CatalogFeatures.Feature

Packages that use CatalogFeatures.Feature
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.

## Uses of CatalogFeatures.Feature in javax.xml.catalog

Methods in javax.xml.catalog that return CatalogFeatures.Feature
Modifier and Type
Method
Description
`static CatalogFeatures.Feature`
CatalogFeatures.Feature.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static CatalogFeatures.Feature[]`
CatalogFeatures.Feature.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.xml.catalog with parameters of type CatalogFeatures.Feature
Modifier and Type
Method
Description
`String`
CatalogFeatures.`get​(CatalogFeatures.Feature cf)`
Returns the value of the specified feature.
`CatalogFeatures.Builder`
CatalogFeatures.Builder.`with​(CatalogFeatures.Feature feature, String value)`
Sets the value to a specified Feature.